gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Gst::FormatDefinition Class Reference

A class to store the details of a Gst::Format retrieved by Gst::get_format_details(). More...

Collaboration diagram for Gst::FormatDefinition:
[legend]

List of all members.

## Public Member Functions
| FormatDefinition ()
| Default constructor.
| FormatDefinition (const GstFormatDefinition* castitem)
| Constructs a Gst::FormatDefinition from a C GstFormatDefinition type.
## Public Attributes
Gst::Format | value
| The unique id of this format.
Glib::ustring | nick
| A short nick of the format.
Glib::ustring | description
| A longer description of the format.
Glib::QueryQuark | quark
| A quark for the nick.

## Detailed Description

A class to store the details of a Gst::Format retrieved by Gst::get_format_details().

## Constructor & Destructor Documentation

Gst::FormatDefinition::FormatDefinition | ( |  | ) |

Default constructor.

Gst::FormatDefinition::FormatDefinition | ( | const GstFormatDefinition * | castitem | ) | `[explicit]`

Constructs a Gst::FormatDefinition from a C GstFormatDefinition type.

The castitem is left unaffected; its contents are simply copied.

Parameters:

  castitem | The GstFormatDefinition to copy contents from.

## Member Data Documentation

Glib::ustring Gst::FormatDefinition::description

A longer description of the format.

Glib::ustring Gst::FormatDefinition::nick

A short nick of the format.

Glib::QueryQuark Gst::FormatDefinition::quark

A quark for the nick.

Gst::Format Gst::FormatDefinition::value

The unique id of this format.

The documentation for this class was generated from the following file:

- gstreamermm/format.h